PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_slag2c | ( | int | m,
|  | int | n,
|  | const float * | R,
|  | int | ldr,
|  | PLASMA_Complex32_t * | Z,
|  | int | ldz
| ) |  |

CORE_slag2c - Copy a real matrix R into the real part of a complex matrix Z

Parameters

  [in] | m | m specifies the number of rows of the matrices R and Z.
  [in] | n | n specifies the number of columns of the matrices R and Z.
  [in] | R | R contains the real coefficient to be copied into the complex matrix. R is of size ldr -by- n.
  [in] | ldr | ldr specifies the leading dimension of R. ldr >= max(1,m).
  [out] | Z | On exit, the real part of the values of Z will be set to the ones stored in R, and the imagfinary part set to 0. Z is of size ldz -by- n.
  [in] | ldz | ldz specifies the leading dimension of Z. ldz >= max(1,m).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value